export default {
  name: 'List自定义',
  propsOptions: [
    {
      name: 'dataKeys',
      label: '数据',
      description: '',
      type: 'data'
    },
    {
      name: 'children',
      label: '内容',
      type: 'container',
    },
    {
      name: 'parseOptions',
      label: 'HTML配置<代码编辑>',
      description: '',
      value: "(data = [], props = {}, theme = {}) => {\n    const items = []; \n    for(let i=0; i<data.length; i ++){\n        items.push(`<div class=\"icode-item\">\n            <div class=\"icode-item-img\">\n                <img src='${data[i][0]}'/>\n            </div>\n            <div class=\"icode-item-content\">\n                <div class=\"icode-item-h2\">${data[i][1]}</div>\n                <div class=\"icode-item-p\">${data[i][2]}</div>\n            </div>\n        </div>`);\n    } \n    return `<div class=\"icode-items\">${items.join('')}</div>`;\n}",
      type: 'javascript',
    },
  ],

  css: `
&{
  margin-top: 10px;
  margin-left: 10px;
  margin-right: 10px;
}
.icode-item{
  background: rgba(0, 0, 0, 0.3);
  overflow: hidden;
  margin-bottom: 5px;
  padding: 10px;
}
.icode-item-img{
  width: 50px;
  height: 50px;
  overflow: hidden;
  float: left;
  margin-left: 10px;
}
.icode-item-img img{
  width: 100%;
}
.icode-item-content{
  margin-left: 80px;
  margin-right: 10px;
}
.icode-item-h2{
  font-size: 14px;
  font-weight: bold;
  padding-bottom: 5px;
  color: var(--icode-text-color);
}
.icode-item-p{
  white-space: pre-wrap;
  color: var(--icode-text-color);
  opacity: 0.8;
  
}
  `,

  staticData: [
    ['头像', '姓名', '描述'],
    ['https://www.icoderun.com/staticImages/1685431314388-icode.png', '张三', '描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容'],
    ['https://www.icoderun.com/staticImages/1685431318313-icode.png', '李四', '描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容'],
    ['https://www.icoderun.com/staticImages/1685431300959-icode.png', '王五', '描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容'],
    ['https://www.icoderun.com/staticImages/1685431305181-icode.png', '田六', '描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容描述内容'],
  ],

  viewEditorConfig: {
    isCanNewParam: true
  },

  defaultStyle: {

  }
};
